/*
Fablab circuit blink

 This code is modified by Lukasz Surazynski from the example code in 

  http://www.arduino.cc/en/Tutorial/Button
*/

const int buttonPin = 7;     // from datasheet
const int ledPin =  8;      // the number of the LED pin

int buttonStatus = 0;         // "register" to check button status


// inputs and outputs
// LED active = high
void setup() {
  pinMode(ledPin, OUTPUT);
  pinMode(buttonPin, INPUT);
}

// main loop
void loop() {
  buttonStatus = digitalRead(buttonPin);

  if (buttonStatus == HIGH) {
    // turn LED on:
    digitalWrite(ledPin, LOW);
  } else {
    // turn LED off:
    digitalWrite(ledPin, HIGH);
  }
}
